Bug 250467 - Review Request: rainbow - The service component of the OLPC Bitfrost security platform
Review Request: rainbow - The service component of the OLPC Bitfrost security...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 15:19 EDT by Noah Kantrowitz
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 19:48:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Noah Kantrowitz 2007-08-01 15:19:29 EDT
Spec URL: http://dev.laptop.org/~coderanger/rpm/rainbow/rainbow.spec
SRPM URL: http://dev.laptop.org/~coderanger/rpm/rainbow/rainbow-1.0-0.0.20070731gitde262e.src.rpm
Description: This is the security service as described in the OLPC Bitfrost platform (http://wiki.laptop.org/go/OLPC_Bitfrost). This package is reasonably specific to OLPC environment (though it would work on a standard desktop with VServer installed).
Comment 1 Brian Pepple 2007-08-12 09:43:15 EDT
MD5Sums:
9a2c828bf6b91aa2f343fc88b3ab2eab  rainbow-20070731gitde262e.tar.bz2

Good:
* Source URL is canonical
* git source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* Package build fine in Mock

Bad:
* rpmlint produces the following error, which should be easy to fix:
 E: rainbow non-standard-executable-perm /usr/sbin/rainbow 0744
 E: rainbow non-readable /etc/rainbow/rainbow.conf 0600
* You should use a macro for '/usr/sbin/rainbow'.  refer to
http://fedoraproject.org/wiki/Packaging/RPMMacros
* Does the package really need python-setuptools as a Require?

Minor:
* you can drop the sitearch variable from the spec, since it's unused.
* you can remove the CFLAGS from the build call, since it's a noarch package.

+1 approved, please review and fix the bad items before importing into CVS.  thanks.
Comment 2 Noah Kantrowitz 2007-08-13 14:33:12 EDT
New Package CVS Request
=======================
Package Name: rainbow
Short Description: The service component of the OLPC Bitfrost security platform
Owners: coderanger
Branches: OLPC-2
InitialCC: coderanger, 
Commits by cvsextras: no
Comment 3 Kevin Fenzi 2007-08-13 15:45:03 EDT
I don't see a 'coderanger' user in the account system. 
Can you check that and resubmit by resetting the fedora-cvs flag?
Perhaps should be 'kantrn' ?
Comment 4 Noah Kantrowitz 2007-08-13 15:49:37 EDT
New Package CVS Request
=======================
Package Name: rainbow
Short Description: The service component of the OLPC Bitfrost security platform
Owners: kantrn
Branches: OLPC-2
InitialCC: kantrn
Commits by cvsextras: no
Comment 5 Kevin Fenzi 2007-08-13 19:00:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.